summaryrefslogtreecommitdiff
path: root/test/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run-test.sh')
-rw-r--r--test/run-test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/run-test.sh b/test/run-test.sh
index 5ef47879..e375608e 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -203,4 +203,29 @@ fi
rm -rf $TESTTMPDIR out1 out2 xxx bind-fonts.conf
fi
+dotest "sysroot option"
+prep
+mkdir -p $MyPWD/sysroot/$FONTDIR
+mkdir -p $MyPWD/sysroot/$CACHEDIR
+cp $FONT1 $MyPWD/sysroot/$FONTDIR
+cp $MyPWD/fonts.conf $MyPWD/sysroot/$MyPWD/fonts.conf
+$FCCACHE -y $MyPWD/sysroot
+stat $MyPWD/sysroot/$FONTDIR/.uuid
+if test $? != 0; then
+ echo "*** Test failed: $TEST"
+ exit 1
+fi
+
+dotest "creating uuid-based cache file on sysroot"
+uuid=`cat $MyPWD/sysroot/$FONTDIR/.uuid`
+ls $MyPWD/sysroot/$CACHEDIR/$uuid*
+if [ $? != 0 ]; then
+ echo "*** Test failed: $TEST"
+ echo "No cache for $uuid"
+ ls $MyPWD/sysroot/$CACHEDIR
+ exit 1
+fi
+
+rm -rf $MyPWD/sysroot
+
rm -rf $FONTDIR $CACHEFILE $CACHEDIR $FONTCONFIG_FILE out